{% extends "slow_forum/base_content.html"%}
{% load i18n tz slow_promote %}

{% block page_title %}    
    {% translate "Users profiles" %}
{% endblock %}

{% block content_title %}
    {% translate "Users profiles" %}
{% endblock %}


{% block content %}

    {# Profile list #}

    <div class="user_profile_list">
        
        <table class="table">
            <thead>
                <tr>
                    <th scope="col"></th>
                    <th scope="col">
                        {% translate "Nickname" %}
                    </th>
                    <th scope="col">
                        {% translate "Last login" %}
                    </th>
                    <th scope="col">
                        {% translate "Joined" %}
                    </th>
                    <th scrope="col">
                        {% translate "Topics" %}
                    </th>
                    <th scrope="col">
                        {% translate "Replies" %}
                    </th>
                </tr>
            </thead>
            <tbody>
                {% for user_profile in userprofile_list %}
                    <tr>

                        {# Profile picture #}
                        
                        <td class="align-middle">
                            {% promote_profile user_profile include_nickname=False %}
                        </td>

                        {# Profile nickname #}
                        
                        <td class="align-middle">
                            <a href="{% url 'slow_forum:user-profile-detail' pk=user_profile.pk %}">
                                {{ user_profile.nickname|escape }}
                            </a>
                        </td>

                        {# Profile user last login #}

                        <td class="align-middle">
                            {% if user_profile.user.last_login %}
                                {{ user_profile.user.last_login|localtime|date:"Y.m.d" }}
                            {% else %}
                                {% translate "Never" %}
                            {% endif %}
                        </td>

                        {# Profile user date joined #}
                        
                        <td class="align-middle">
                            {{ user_profile.user.date_joined|localtime|date:"Y.m.d" }}
                        </td>

                        {# Topics count #}

                        <td class="align-middle">
                            {{ user_profile.user.topic_set.count }} <i class="bi bi-chat-left"></i>
                        </td>


                        {# Replies count #}

                        <td class="align-middle">
                            {{ user_profile.user.topicreply_set.count }} <i class="bi bi-chat-left-text"></i>
                        </td>
                        
                    </tr>
                {% endfor %}
            </tbody>
        </table>

    </div>
{% endblock %}
